Package org.jbpm.services.task.impl.model

## Class EscalationImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.EscalationImpl_

-     @Generated("org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class EscalationImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static javax.persistence.metamodel.ListAttribute<EscalationImpl,​BooleanExpressionImpl>` | `constraints` |
    `static String` | `CONSTRAINTS` |
    `static javax.persistence.metamodel.SingularAttribute<EscalationImpl,​Long>` | `id` |
    `static String` | `ID` |
    `static javax.persistence.metamodel.SingularAttribute<EscalationImpl,​String>` | `name` |
    `static String` | `NAME` |
    `static javax.persistence.metamodel.ListAttribute<EscalationImpl,​NotificationImpl>` | `notifications` |
    `static String` | `NOTIFICATIONS` |
    `static javax.persistence.metamodel.ListAttribute<EscalationImpl,​ReassignmentImpl>` | `reassignments` |
    `static String` | `REASSIGNMENTS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EscalationImpl_()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reassignments

          public static volatile javax.persistence.metamodel.ListAttribute<EscalationImpl,​ReassignmentImpl> reassignments

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<EscalationImpl,​String> name

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<EscalationImpl,​Long> id

    - #### constraints

          public static volatile javax.persistence.metamodel.ListAttribute<EscalationImpl,​BooleanExpressionImpl> constraints

    - #### notifications

          public static volatile javax.persistence.metamodel.ListAttribute<EscalationImpl,​NotificationImpl> notifications

    - #### REASSIGNMENTS

          public static final String REASSIGNMENTS

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### CONSTRAINTS

          public static final String CONSTRAINTS

      See Also:
        Constant Field Values

    - #### NOTIFICATIONS

          public static final String NOTIFICATIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EscalationImpl_

          public EscalationImpl_()